bookingService erstellen
Namespace: microsoft.graph
Erstellen Sie einen neuen bookingService für das angegebene bookingBusiness-Objekt.
Berechtigungen
Eine der nachfolgenden Berechtigungen ist erforderlich, um diese API aufrufen zu können. Weitere Informationen, unter anderem zur Auswahl von Berechtigungen, finden Sie im Artikel zum Thema Berechtigungen.
| Berechtigungstyp | Berechtigungen (von der Berechtigung mit den wenigsten Rechten zu der mit den meisten Rechten) |
|---|---|
| Delegiert (Geschäfts-, Schul- oder Unikonto) | Bookings.ReadWrite.All, Bookings.Manage.All |
| Delegiert (persönliches Microsoft-Konto) | Nicht unterstützt |
| Anwendung | Nicht unterstützt |
HTTP-Anforderung
POST /solutions/bookingBusinesses/{id}/services
Anforderungsheader
| Name | Beschreibung |
|---|---|
| Authorization | Bearer {code}. Erforderlich. |
Anforderungstext
Geben Sie im Anforderungstext eine JSON-Darstellung eines bookingService-Objekts an.
Antwort
Bei erfolgreicher Ausführung gibt die Methode den 201 Created Antwortcode und ein bookingService-Objekt im Antworttext zurück.
Beispiel
Anforderung
Nachfolgend sehen Sie ein Beispiel der Anforderung.
POST https://graph.microsoft.com/v1.0/solutions/bookingBusinesses/Contosolunchdelivery@contoso.onmicrosoft.com/services
Content-type: application/json
{
"@odata.type":"#microsoft.graph.bookingService",
"defaultDuration":"PT1H30M",
"defaultLocation":{
"@odata.type":"#microsoft.graph.location",
"address":{
"@odata.type":"#microsoft.graph.physicalAddress",
"city":"Buffalo",
"countryOrRegion":"USA",
"postalCode":"98052",
"postOfficeBox":null,
"state":"NY",
"street":"4567 First Street",
"type@odata.type":"#microsoft.graph.physicalAddressType",
"type":null
},
"coordinates":null,
"displayName":"Contoso Lunch Delivery",
"locationEmailAddress":null,
"locationType@odata.type":"#microsoft.graph.locationType",
"locationType":null,
"locationUri":null,
"uniqueId":null,
"uniqueIdType@odata.type":"#microsoft.graph.locationUniqueIdType",
"uniqueIdType":null
},
"defaultPrice":10.0,
"defaultPriceType@odata.type":"#microsoft.graph.bookingPriceType",
"defaultPriceType":"fixedPrice",
"defaultReminders@odata.type":"#Collection(microsoft.graph.bookingReminder)",
"defaultReminders":[
{
"@odata.type":"#microsoft.graph.bookingReminder",
"message":"Please be reminded that this service is tomorrow.",
"offset":"P1D",
"recipients@odata.type":"#microsoft.graph.bookingReminderRecipients",
"recipients":"allAttendees"
}
],
"description":"Individual bento box lunch delivery",
"displayName":"Bento",
"isLocationOnline": true,
"smsNotificationsEnabled": true,
"isHiddenFromCustomers":false,
"notes":"Home-cooked special",
"postBuffer":"PT10M",
"preBuffer":"PT5M",
"schedulingPolicy":{
"@odata.type":"#microsoft.graph.bookingSchedulingPolicy",
"allowStaffSelection":true,
"maximumAdvance":"P10D",
"minimumLeadTime":"PT10H",
"sendConfirmationsToOwner":true,
"timeSlotInterval":"PT1H"
},
"staffMemberIds@odata.type":"#Collection(String)",
"staffMemberIds":[
"d90d1e8c-5cfe-48cf-a2d5-966267375b6a",
"2f5f8794-0b29-45b5-b56a-2eb5ff7aa880"
]
}
Antwort
Nachfolgend sehen Sie ein Beispiel der Antwort.
Hinweis: Das hier gezeigte Antwortobjekt kann zur besseren Lesbarkeit gekürzt werden.
HTTP/1.1 201 Created
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/solutions/$metadata#bookingBusinesses('Contosolunchdelivery%40contoso.onmicrosoft.com')/services/$entity",
"id": "57da6774-a087-4d69-b0e6-6fb82c339976",
"displayName": "Bento",
"defaultDuration": "PT1H30M",
"defaultPrice": 10,
"defaultPriceType": "fixedPrice",
"description": "Individual bento box lunch delivery",
"isHiddenFromCustomers": false,
"notes": "Home-cooked special",
"preBuffer": "PT5M",
"postBuffer": "PT10M",
"staffMemberIds": [],
"isLocationOnline": true,
"smsNotificationsEnabled": true,
"webUrl": "https://outlook.office365.com/owa/calendar/Contosolunchdelivery@contoso.onmicrosoft.com/bookings/s/gkcGIq92Z0u5h4FWB9Qgcg2",
"defaultLocation": {
"displayName": "Contoso Lunch Delivery",
"locationEmailAddress": null,
"locationUri": "",
"locationType": null,
"uniqueId": null,
"uniqueIdType": null,
"address": {
"street": "4567 First Street",
"city": "Buffalo",
"state": "NY",
"countryOrRegion": "USA",
"postalCode": "98052"
},
"coordinates": {
"altitude": null,
"latitude": null,
"longitude": null,
"accuracy": null,
"altitudeAccuracy": null
}
},
"defaultReminders": [
{
"offset": "P1D",
"recipients": "allAttendees",
"message": "Please be reminded that this service is tomorrow."
}
],
"schedulingPolicy": {
"timeSlotInterval": "PT1H",
"minimumLeadTime": "PT10H",
"maximumAdvance": "P10D",
"sendConfirmationsToOwner": true,
"allowStaffSelection": true
}
}
Feedback
Feedback senden und anzeigen für